# $Revision: 1.23.2.1 $, $Date: 2007/03/09 11:40:23 $
Summary:	C++ binding for DirectFB
Summary(pl):	Interfejs C++ do DirectFB
Name:		DFB++
Version:	1.0.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.directfb.org/download/DirectFB-extra/%{name}-%{version}.tar.gz
# Source0-md5:	c7d0b98bcc648a25ff11bfc74635f4ca
URL:		http://www.directfb.org/index.php?path=Development/Projects/DFB++
BuildRequires:	DirectFB-devel >= 1:%{version}
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DFB++ is a C++ binding for DirectFB providing a much easier usage. One
advantage is that the 'thiz' doesn't need to be passed as the first
argument of every interface function. Another feature is the usage of
exceptions. It's annoying having these error checking stuff with
growing deinitialization stacks. Most functions are 'void'. As soon as
a DirectFB function returns an error a DFBException is thrown.

%description -l pl
DFB++ jest interfejsem C++ do biblioteki DirectFB, uatwiajcym jej
uywanie. Jedn z zalet jest brak koniecznoci przekazywania 'thiz'
jako pierwszego parametru kadej funkcji. Kolejn jest korzystanie z
wyjtkw. Cige sprawdzanie bdw z powikszajcym si stosem
deinicjalizacji moe by dokuczliwe. W DFB++, kiedy funkcja DirectFB
zwraca bd, rzucany jest wyjtek DFBException.

%package devel
Summary:	DFB++ header files
Summary(pl):	Pliki nagwkowe DFB++
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	DirectFB-devel >= 1:%{version}
Requires:	libstdc++-devel

%description devel
Header files for DFB++ library.

%description devel -l pl
Pliki nagwkowe biblioteki DFB++.

%package static
Summary:	DFB++ static library
Summary(pl):	Statyczna biblioteka DFB++
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
DFB++ static library.

%description static -l pl
Statyczna biblioteka DFB++.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/simple.cpp $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/dfbshow
%attr(755,root,root) %{_bindir}/dfbswitch
%attr(755,root,root) %{_libdir}/libdfb++-*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dfb++-config
%attr(755,root,root) %{_libdir}/libdfb++.so
%{_libdir}/libdfb++.la
%{_includedir}/dfb++
%{_pkgconfigdir}/*.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libdfb++.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: DFB++.spec,v $
Revision 1.23.2.1  2007/03/09 11:40:23  hawk
- updated to 1.0.0

Revision 1.23  2006/05/20 21:24:02  qboosh
- updated to 0.9.25

Revision 1.22  2006/01/23 15:08:55  qboosh
- current policy is not to R: pkgconfig just because package has pkgconfig support

Revision 1.21  2005/12/30 12:52:22  glen
- R: pkgconfig for -devel

Revision 1.20  2005/12/09 12:01:46  zboczuch
- pl fix

Revision 1.19  2005/10/23 17:04:00  qboosh
- updated to 0.9.23

Revision 1.18  2005/03/04 23:33:41  qboosh
- updated to 0.9.22

Revision 1.17  2005/01/11 22:35:15  qboosh
- more specific URL

Revision 1.16  2005/01/11 22:34:18  qboosh
- updated to 0.9.21
- rebuild ac/am/lt using libtool 1.5 to get libdfb++ linked with libstdc++

Revision 1.15  2004/08/11 18:50:57  qboosh
- strict internal deps, BR: automake

Revision 1.14  2004/08/09 21:35:04  averne
- rel 2

Revision 1.13  2004/08/09 21:32:13  averne
- refresh config.sub

Revision 1.12  2003/10/26 18:11:16  qboosh
- updated to 0.9.20, added example tools

Revision 1.11  2003/08/18 08:07:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/07/31 19:50:05  qboosh
- 0.9.19

Revision 1.9  2003/07/12 13:34:22  qboosh
- 0.9.18

Revision 1.8  2003/07/06 23:27:13  blues
- many small fixes, mostly inpired by kloczek

Revision 1.7  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/12/18 20:03:25  qboosh
- 0.9.15

Revision 1.4  2002/11/25 14:12:18  ankry
- massive attack: no need for 755 for *.la

Revision 1.3  2002/11/06 20:57:21  ankry
- fixed source URL

Revision 1.2  2002/11/06 20:42:45  qboosh
- updated to 0.9.13

Revision 1.1  2002/09/01 22:01:04  qboosh
- new
